package com.example.exception;

import com.example.base.BaseController;
import com.example.base.ResponseBase;
import com.example.enums.ResultEnum;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@RestControllerAdvice
public class ExceptionContoller extends BaseController {

    @ExceptionHandler(value = Exception.class)
    public ResponseBase exception(Exception e) {
        return responseError(ResultEnum.FAILURE.getCode(), e.getMessage());
    }

}
